Sub TransposeSpreadsheet
   Dim IntMaxRow As Integer, IntMaxCol As Integer
   Dim i As Integer, j As Integer

   'Input the number of columns and rows to be transposed
   'We start at column 1 and row 1
   IntMaxCol = InputBox("Enter the number of columns to transpose!",_
                        "Transposer(TM)")
   IntMaxRow = InputBox("Enter the number of rows to transpose!",_
                        "Transposer(TM)")

   'Declare a 2-dimensional array to save the values out of the spreadsheet
   'we have to overwrite them with columns to rows and vice versa
   Dim DoubleArrSaveMatrix(IntMaxCol, IntMaxRow) As Double

   'Save the entries to the array and delete them afterwards
   'Cycle through all columns
   For i = 1 to IntMaxCol
      'For each column cycle through all rows
      For j = 1 to IntMaxRow
         DoubleArrSaveMatrix(i,j) = ActiveDocument.Cells(i,j,1).Value
         'We have to delete the old entries for transposing
         'different numbers of rows and columns.
         ActiveDocument.Cells(i,j,1).Clear( "SVDFN" )
      Next j
   Next i

   'Put everything back only in the other order i.e. columns to rows
   For i = 1 to IntMaxCol
      For j = 1 to IntMaxRow
         'DoubleArrSaveMatrix(i,j) is assigned to Cells(j,i); 
         'that's the transposing!
         ActiveDocument.Cells(j,i,1).Insert(DoubleArrSaveMatrix(i,j))
      Next j
   Next i
End Sub

