Sub ConvertOpenedDocuments
   Dim i As Integer
   Dim StrDocumentPath As String
   'Start with the highest index and go down to 2. No. 1 is the StarDesktop.
   For i = Application.Documents.Count to 2 step -1
      'Now we do everything with document No.i, we make a shortcut
      'to its Object using the with statement
      with Application.Documents.Item(i)
         'Check if we touched a StarWriter or StarCalc document. No other
         'documents or for example, StarBasic IDE are allowed.
         If (.classname = "TextDocument") or (.classname = "TableDocument") Then
            'create the new folder stemming from the old one. If the path 
            'was "c:\temp" the path for the Converted documents is 
            '"c:\temp\Converted"
            StrDocumentPath = .Path+"\Converted"
            'Check if the folder exists. The Dir run-time function will check
            'for its name. The argument 16 will only examine folders--
            'no ordinary files
            If Dir(StrDocumentPath,16)="" Then
               'Create a folder on your disk
               MkDir(StrDocumentPath)
            Endif
            'Now add the document name to the converted path. Name results 
            'in the file name without an extention. The result is e.g. 
            '"c:\temp\Converted\MyLetter"
            StrDocumentPath = StrDocumentPath + "\" + .Name
            'Now we can add different file extentions to the name in order 
            'to save it in different formats.

            'Now convert the StarWriter document into HTML, RTF and plain text
            If .classname = "TextDocument" Then
               .SaveAs( StrDocumentPath+".html", _
                        "swriter: HTML (StarWriter)", "", "" )
               .SaveAs( StrDocumentPath+".rtf", _
                        "swriter: Rich Text Format", "", "" )
               .SaveAs( StrDocumentPath+".txt", _
                        "swriter: Text", "", "" )
            Else
               'Convert the StarCalc spreadsheet into SYLK and Excel format
               .SaveAs( StrDocumentPath+".slk", "scalc: SYLK", "", "" )
               .SaveAs( StrDocumentPath+".xls", "scalc: MS Excel 97", "", "" )
            Endif
            'Close the active document
            .Close( False, "" )
         Endif
      End With
   Next i
End Sub

